<?php
if (!defined('GAME')) {
    die();
}
if ($u->info['room'] == 214 || $u->info['room'] == 217 || $u->info['room'] == 218 || $u->info['room'] == 219) {
    header('Location:main.php');
}

$clan = mysql_fetch_array(mysql_query('SELECT * FROM `clan` WHERE `id` = "' . $u->info['clan'] . '" LIMIT 1'));
if (!isset($clan['id'])) {
    die('Вы не состоите в активном клане.');
}
//клан права
$clan_prava = mysql_fetch_array(mysql_query('SELECT * FROM `clan_prava` WHERE `uid` = "' . $u->info['id'] . '" AND `clan` = "' . $u->info['clan'] . '" LIMIT 1'));
if ($u->info['clan_prava'] == 'glava') {
    $i = 1;
    while ($i <= 6) {
        $clan_prava['pravo' . $i] = 1;
        $i++;
    }
}
//Сокланы
$sx = 0;
$sh = '';
$sp = mysql_query('SELECT `id`,`align`,`login`,`clan`,`clan_prava`,`mod_zvanie`,`online` FROM `users` WHERE `clan` = "' . $u->info['clan'] . '" ORDER BY `clan_prava` DESC');
while ($pl = mysql_fetch_array($sp)) {
    $pr = '<img class="cp" src="/static/img/i/lock.gif" title="Написать" width="20" height="15" onClick="top.chat.addto(\'' . $pl['login'] . '\',\'private\');">';
    if ($pl['clan_prava'] == 'glava') {
        $sh .= '<div style="padding-bottom:5px;">' . $pr . ' ' . $u->microLogin($pl['id'], 1) . ' <b style="color:#008080">&nbsp;&nbsp;&nbsp;<img src="/static/img/i/korona.png" title = "Глава клана"> - Глава клана <img src="/i/online.gif"> </b></div>';
    } elseif ($pl['online'] < time() - 520) {
        $sh .= '<div style="padding-bottom:5px;">' . $pr . ' ' . $u->microLogin($pl['id'], 1) . ' <span><font color=gray> - ' . $pl['mod_zvanie'] . ' </font></span><sup>&nbsp;<font color=red> Нет в клубе</sup></font></div>';
    } else {
        $sh .= '<div style="padding-bottom:5px;">' . $pr . ' ' . $u->microLogin($pl['id'], 1) . ' <span> - ' . $pl['mod_zvanie'] . ' </span> <img src="/i/online.gif"></div>';
    }
    $sx++;
}
if ($sh == '') {
    $sh = '<center>Сокланов нет</center>';
}
//Глава клана - права

if (isset($_GET['addtoclan'])) {
    //Отправить заявку игроку
    if ($clan_prava['pravo1'] > 0) {
        $user = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['addtoclan']) . '" LIMIT 1'));
        if (!isset($user['id'])) {
            $u->error = 'Персонаж с логином &quot;' . htmlspecialchars($_GET['addtoclan']) . '&quot; не найден.';
        } elseif ($user['clan'] > 0) {
            $u->error = 'Персонаж &quot;' . $user['login'] . '&quot; уже находится в клане.';
        } elseif ($user['align'] == 2) {
            $u->error = 'Хаосникам нельзя вступать в клан.';
        } elseif ($user['align'] == 50) {
            $u->error = 'Алхимикам нельзя вступать в клан.';
        } elseif (($user['align'] > 1 && $user['align'] < 2) || ($user['align'] > 3 && $user['align'] < 4)) {
            $u->error = 'Модераторам нельзя вступать в клан.';
        } elseif ($user['banned'] > 0) {
            $u->error = 'Персонаж &quot;' . $user['login'] . '&quot; заблокирован.';
        } elseif ($user['level'] < 8) {
            $u->error = 'Персонажам ниже 8-го уровня нельзя вступать в клан.';
        } elseif ($user['clan_delay'] > 0 && ($user['clan_delay'] - time()) > 0) {
            $u->error = 'У персонажа запрет на вступление в кланы ещё: ' . $u->timeOut($user['clan_delay'] - time()) . '';
        } elseif ($u->info['money'] < 100) {
            $u->error = 'У вас недостаточно денег для приема персонажа &quot;' . $user['login'] . '&quot; в клан. Цена: 100 кр.';
        } else {
            $test = mysql_fetch_array(mysql_query('SELECT * FROM `clan_add` WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $clan['id'] . '" AND `yes` = 0 AND `no` = 0 LIMIT 1'));
            if (isset($test['id'])) {
                if ($test['yes'] == 0 && $test['no'] == 0) {
                    $u->error = 'Персонаж &quot;' . $user['login'] . '&quot; еще не решил вступать в клан &quot;' . $clan['name'] . '&quot; или нет.';
                } else {
                    $u->error = 'Нельзя предлагать вступление в клан чаще одного раза в 12 часов этому персонажу.';
                }
            } else {
                $u->error = 'Персонажу &quot;' . $user['login'] . '&quot; отправлено приглашение на вступление в клан.';
                mysql_query('INSERT INTO `clan_add` ( `uid`,`uid_clan`,`time`,`clan` ) VALUES ("' . $user['id'] . '","' . $u->info['id'] . '","' . time() . '","' . $clan['id'] . '")');
            }
        }
    }
    //
} elseif (isset($_GET['unclan'])) {
    if ($clan_prava['pravo2'] > 0) {
        $user = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['unclan']) . '" AND `clan` = "' . $clan['id'] . '" LIMIT 1'));
        if (!isset($user['id'])) {
            $u->error = 'Соклан с логином &quot;' . htmlspecialchars($_GET['unclan']) . '&quot; не найден.';
        } elseif ($u->info['clan_prava'] != 'glava' && $user['clan_prava'] == 'glava') {
            $u->error = 'Вы не можете выгнать главу клана. (Он будет оповещен об этом)';
        } else {
            mysql_query('UPDATE `users` SET `mod_zvanie` = "",`clan` = 0,`align` = 0,`clan_prava` = "0|0|0|0|0",`clan_delay` = "' . (time() + 259200) . '" WHERE `id` = "' . $user['id'] . '" LIMIT 1');
            mysql_query('DELETE FROM `clan_prava` WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '"');
            $u->error = 'Вы успешно выгнали персонажа &quot;' . $user['login'] . '&quot; из клана.';
        }
    }
}

if (isset($_GET['unclanme'])) {
    if ($clan_prava['glava'] == $u->info['id']) {
        $u->error = 'Клан не может остаться без главы.';
    } else {
        mysql_query('UPDATE `users` SET `mod_zvanie` = "",`clan` = 0,`align` = 0,`clan_prava` = "0|0|0|0|0",`clan_delay` = "' . (time() + 259200) . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
        mysql_query('DELETE FROM `clan_prava` WHERE `uid` = "' . $u->info['id'] . '" AND `clan` = "' . $u->info['clan'] . '"');
        $u->error = 'Вы успешно покинули клан &quot;' . $clan['name'] . '&quot;.';
        $fastend = true;
    }
}
if (isset($_GET['new_glava'])) {
    $user = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['new_glava']) . '" AND `clan` = "' . $clan['id'] . '" LIMIT 1'));
    if (!isset($user['id'])) {
        $u->error = 'Соклан с логином &quot;' . htmlspecialchars($_GET['new_glava']) . '&quot; не найден.';
    } elseif ($user['clan_prava'] == 'glava') {
        $u->error = 'Персонаж<b> ' . $user['login'] . ' </b> и так является главой клана<b> ' . $clan['name'] . '</b>!';
    } else {
        mysql_query('UPDATE `users` set `clan_prava` = "0|0|0|0|0" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
        mysql_query('UPDATE `clan_prava` SET `glava` = "0|0|0|0|0" WHERE `uid` = "' . $u->info['id'] . '" LIMIT 1');
        $u->error = 'Вы назначили новой главой клана персонажа ' . $u->microLogin($user['id'], 1) . '';
        mysql_query('UPDATE `users` set `clan_prava` = "glava" where `id` = "' . $user['id'] . '" LIMIT 1');
        mysql_query('UPDATE `clan_prava` SET `glava` =  "glava" WHERE `uid` = "' . $user['id'] . '" LIMIT 1');
    }
}
if (isset($_GET['new_rang'])) {
    $user = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['login_user']) . '" AND `clan` = "' . $clan['id'] . '" LIMIT 1'));
    if (!isset($user['id'])) {
        $u->error = 'Соклан с логином &quot;' . htmlspecialchars($_GET['login_user']) . '&quot; не найден.';
    } elseif ($user['clan_prava'] == 'glava') {
        $u->error = 'Вы не можете изменить звание Главе клана!';
    } else {
        mysql_query('UPDATE `users` set `mod_zvanie` = "' . $_GET['new_rang'] . '" WHERE `id` = "' . $user['id'] . '" LIMIT 1');
        $u->error = 'Вы успешно установили звание "' . $_GET['new_rang'] . '" персонажу <b>' . $user['login'] . '!</b>';
    }
}

$r1 = mysql_fetch_array(mysql_query('SELECT * FROM `aaa_clan_reting_list` WHERE `clan` = "' . $clan['id'] . '" AND `date` = "' . date('dmY') . '" LIMIT 1'));
$r2 = mysql_fetch_array(mysql_query('SELECT * FROM `aaa_clan_reting_list` WHERE `clan` = "' . $clan['id'] . '" AND `date` != "' . date('dmY') . '" ORDER BY `id` DESC LIMIT 1'));

$vid = '';
if (isset($r2['pos'])) {
    if ($r2['pos'] < $r1['pos']) {
        $vid = '<span style=\'color:red;\'>-' . ($r1['pos'] - $r2['pos']) . '</span>';
    } elseif ($r2['pos'] > $r1['pos']) {
        $vid = '<span style=\'color:green;\'>+' . ($r2['pos'] - $r1['pos']) . '</span>';
    }
}

$vid1 = '';
if (isset($r2['pos'])) {
    if (round($r2['global'] / (15678 + $r2['level']), 3) < round($r1['global'] / (15678 + $r1['level']), 3)) {
        $vid1 = '&nbsp;<sup><span style=\'color:green;\'>+' . (round($r1['global'] / (15678 + $r1['level']), 3) - round($r2['global'] / (15678 + $r2['level']), 3)) . '</span></sup>';
    } elseif (round($r2['global'] / (15678 + $r2['level']), 3) > round($r1['global'] / (15678 + $r1['level']), 3)) {
        $vid1 = '&nbsp;<sup><span style=\'color:red;\'>-' . (round($r2['global'] / (15678 + $r2['level']), 3) - round($r1['global'] / (15678 + $r1['level']), 3)) . '</span></sup>';
    }
}

if (isset($_GET['edit_prava'])) {
    $user = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['edit_prava']) . '" AND `clan` = "' . $clan['id'] . '" LIMIT 1'));
    $pr = mysqL_fetch_array(mysql_query('SELECT * FROM `clan_prava` WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1'));
    if (!isset($pr['id'])) {
        mysql_query('INSERT INTO `clan_prava` (`uid`,`clan`) VALUES (
			"' . $user['id'] . '","' . $user['clan'] . '"
		)');
        $pr = mysqL_fetch_array(mysql_query('SELECT * FROM `clan_prava` WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1'));
    }
    if (!isset($user['id'])) {
        $u->error = 'Соклан с логином &quot;' . htmlspecialchars($_GET['edit_prava']) . '&quot; не найден.';
    }
}
if (isset($_GET['pravo1'])) {
    $pr['pravo1'] = 1;
    mysql_query('UPDATE `clan_prava` SET `pravo1` = "' . $pr['pravo1'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы выдали право приема в клан, персонажу ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['d_pravo1'])) {
    $pr['pravo1'] = 0;
    mysql_query('UPDATE `clan_prava` SET `pravo1` = "' . $pr['pravo1'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы забрали право приема в клан у персонажа ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['pravo2'])) {
    $pr['pravo2'] = 1;
    mysql_query('UPDATE `clan_prava` SET `pravo2` = "' . $pr['pravo2'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы выдали право изгнания с клана, персонажу: ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['d_pravo2'])) {
    $pr['pravo2'] = 0;
    mysql_query('UPDATE `clan_prava` SET `pravo2` = "' . $pr['pravo2'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы забрали право изгнания с клана, у персонажа: ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['pravo3'])) {
    $pr['pravo3'] = 1;
    mysql_query('UPDATE `clan_prava` SET `pravo3` = "' . $pr['pravo3'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы выдали право изменения кланового статуса, персонажу: ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['d_pravo3'])) {
    $pr['pravo3'] = 0;
    mysql_query('UPDATE `clan_prava` SET `pravo3` = "' . $pr['pravo3'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы забрали право изменения кланового статуса у персонажа: ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['pravo4'])) {
    $pr['pravo4'] = 1;
    mysql_query('UPDATE `clan_prava` SET `pravo4` = "' . $pr['pravo4'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы выдали право редактирования информации о клане, персонажу: ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['d_pravo4'])) {
    $pr['pravo4'] = 0;
    mysql_query('UPDATE `clan_prava` SET `pravo4` = "' . $pr['pravo4'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы забрали право редактирования информации о клане, у персонажа: ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['pravo6'])) {
    $pr['pravo6'] = 1;
    mysql_query('UPDATE `clan_prava` SET `pravo6` = "' . $pr['pravo6'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы выдали право использования клановых абилок, персонажу: ' . $u->microLogin($user['id'], 1) . ' ';
} elseif (isset($_GET['d_pravo6'])) {
    $pr['pravo6'] = 0;
    mysql_query('UPDATE `clan_prava` SET `pravo6` = "' . $pr['pravo6'] . '" WHERE `uid` = "' . $user['id'] . '" AND `clan` = "' . $user['clan'] . '" LIMIT 1');
    $u->error = 'Вы забрали право использования клановых абилок у персонажа: ' . $u->microLogin($user['id'], 1) . ' ';
}
$notepad = mysql_fetch_array(mysql_query('SELECT * FROM `notepad` WHERE `clan` = "' . $u->info['clan'] . '" LIMIT 1'));
if (isset($_POST['notepad_clan'])) {
    $_POST['text'] = htmlspecialchars($_POST['text']);
    if (!isset($notepad['id'])) {
        mysql_query('INSERT INTO `notepad` (`clan`,`time`,`text`) VALUES ("' . $u->info['clan'] . '","' . time() . '","' . mysql_real_escape_string($_POST['notepad_clan']) . '")');
    } else {
        mysql_query('UPDATE `notepad` SET `time` = "' . time() . '",`text` = "' . mysql_real_escape_string($_POST['notepad_clan']) . '" WHERE `id` = "' . $notepad['id'] . '" LIMIT 1');
    }
    $notepad['text'] = $_POST['notepad_clan'];
    $notepad['time'] = time();
    echo '<font color=red><b>Информация для клана ' . $clan['name'] . ' успешно сохранена!</font></b>';
}
?>
<style type="text/css">

    .rating, .rating tr, .rating tr td {
        font-family: Times New Roman;
        font-size: 14px;
        border: 1px solid black;
        border-collapse: collapse;
        text-align: center;
        vertical-align: top;
    }

    .rating {
        border: 3px solid black;
        border-collapse: collapse;
    }

    .rating .al {
        text-align: left;
    }

    .rating .vam {
        vertical-align: middle;
    }

    .rating .ac {
        text-align: center;
    }

    .rating .b {
        font-weight: bold;
    }

    .rating .p {
        padding: 0 5px 0 5px;
    }

    .rating .btop {
        border-top: 3px solid black;
        border-collapse: collapse;
    }

    .rating .bright {
        border-right: 3px solid black;
        border-collapse: collapse;
    }

    .rating .bleft {
        border-left: 3px solid black;
        border-collapse: collapse;
    }

    .rating .bbottom {
        border-bottom: 3px solid black;
        border-collapse: collapse;
    }

    .rating .light {
        background: #F4E7CC;
    }

    .rinfo p {
        text-align: justify;
        text-indent: 25px;
    }

    .rinfo p span {
        color: red;
        font-weight: bold;
    }

    h2 {
        margin: auto;
        text-align: center;
        font-family: Times New Roman;
        font-size: 18px;
        font-weight: bold;
        margin-top: 10px;
        margin-bottom: 5px;
    }

</style>
<?php
$users = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['edit_prava']) . '" AND `clan` = "' . $clan['id'] . '" LIMIT 1'));
if (isset($users['id'])) { ?>
    <form action="main.php?clan=1&edit_prava=<?= $user['login'] ?>" method="post">
        <input type="submit" class="btn btn-success" value="Обновить таблицу">
        <table width="18%" class="rating" style="margin-top: 1px;">
            <tr class="b bbottom">
                <td class="bright p" width=150>Клан:<br><font color=green><?= $clan['name'] ?></font></td>
                <td class="bright p al" style='padding-left: 20px;'>Персонаж:<br><?= $u->microLogin($user['id'], 1) ?></td>
            </tr>
            <tr>
                <td class='vam p' style='font-size: 14pt;'><b>Принять в клан:</b></td>
                <td class='vam al' style='padding-left: 20px;'><b>

                        <?php if ($pr['pravo1'] == 0) { ?>
                            <input class="btn btn-primary" type='button' value='Разрешить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&pravo1=1"'/><br>
                        <? } elseif ($pr['pravo1'] > 0) { ?>
                            <input class="btn btn-danger" type='button' value='Запретить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&d_pravo1=1"'/><br>
                        <? } ?>
                        <tr>
                            <td class='vam p' style='font-size: 14pt;'><b>Исключить с клана:</b></td>
                            <td class='vam al' style='padding-left: 20px;'><b>
                                    <? if ($pr['pravo2'] == 0) { ?>
                                        <input class="btn btn-primary" type='button' value='Разрешить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&pravo2=1"'/><br>
                                    <? } elseif ($pr['pravo2'] > 0) { ?>
                                        <input class="btn btn-danger" type='button' value='Запретить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&d_pravo2=1"'/><br>
                                    <? } ?>

                            </td>
                    </b>
            </tr>
            <tr>
                <td class='vam p' style='font-size: 14pt;'><b>Изменить статус:</b></td>
                <td class='vam al' style='padding-left: 20px;'><b>

                        <?php if ($pr['pravo3'] == 0) { ?>
                            <input class="btn btn-primary" type='button' value='Разрешить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&pravo3=1"'/><br>
                        <? } elseif ($pr['pravo3'] > 0) { ?>
                            <input class="btn btn-danger" type='button' value='Запретить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&d_pravo3=1"'/><br>
                        <? } ?>
                </td>
                </b>
            </tr>
            <tr>
                <td class='vam p' style='font-size: 14pt;'><b>Информация о клане:</b></td>
                <td class='vam al' style='padding-left: 20px;'><b>

                        <?php if ($pr['pravo4'] == 0) { ?>
                            <input class="btn btn-primary" type='button' value='Разрешить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&pravo4=1"'/><br>
                        <? } elseif ($pr['pravo4'] > 0) { ?>
                            <input class="btn btn-danger" type='button' value='Запретить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&d_pravo4=1"'/><br>
                        <? } ?>
                </td>
                </b>
            </tr>
            <tr>
                <td class='vam p' style='font-size: 14pt;'><b>Использование абилок:</b></td>
                <td class='vam al' style='padding-left: 20px;'><b>
                        <?php if ($pr['pravo6'] == 0) { ?>
                            <input class="btn btn-primary" type='button' value='Разрешить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&pravo6=1"'/><br>
                        <? } elseif ($pr['pravo6'] > 0) { ?>
                            <input class="btn btn-danger" type='button' value='Запретить' onclick='location="main.php?clan=1&edit_prava=<?= $user['login'] ?>&d_pravo6=1"'/><br>
                        <? } ?>
                </td>
                </b></tr>
            </td></b></tr></table>
    </form>
<? } ?>
<script>
    function mod1() {
        top.win.add(
            'mod1panel',
            'Принять в клан &quot;<?=$clan['name']?>&quot; &nbsp;',
            '<center>Введите логин персонажа:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod1back(top.$(\'#mod1v1\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');top.$(\'#mod1v1\').focus()',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""><div style="padding-bottom:4px;"><small>Стоимость приема в клан <b>100 КР.</b></small></div></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod1back(login) {
        location.href = '/main.php?clan&addtoclan=' + login;
    }

    function mod2() {
        top.win.add(
            'mod1panel',
            'Выгнать из клана &quot;<?=$clan['name']?>&quot; &nbsp;',
            '<center>Введите логин соклана:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod2back(top.$(\'#mod1v1\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');top.$(\'#mod1v1\').focus()',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod2back(login) {
        location.href = '/main.php?clan&unclan=' + login;
    }

    function mod3() {
        top.win.add(
            'mod1panel',
            'Изменить звание соклана &nbsp;',
            '<center>Введите логин соклана:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod3back(top.$(\'#mod1v1\').val(),top.$(\'#mod1v122\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""><br><b>Введите новое звание:</b><br><input style="width:96%; margin:5px;" id="mod1v122" class="inpt2" type="text" value=""></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod3back(login, val) {
        location.href = '/main.php?clan&new_rang=' + val + '&login_user=' + login;
    }

    function mod4() {
        top.win.add(
            'mod1panel',
            'Сменить главу клана',
            '<center>Введите логин нового главы клана:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod4back(top.$(\'#mod1v1\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');top.$(\'#mod1v1\').focus()',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod4back(login) {
        location.href = '/main.php?clan&new_glava=' + login;
    }

    function mod9() {
        top.win.add(
            'mod1panel',
            '<center>Редактировать права</center>',
            '<center>Введите логин соклана:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod9back(top.$(\'#mod1v1\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');top.$(\'#mod1v1\').focus()',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod9back(login) {
        location.href = '/main.php?clan&edit_prava=' + login;
    }

    function mod5() {
        top.win.add(
            'mod1panel',
            'Покинуть клан &quot;<?=$clan['name']?>&quot; &nbsp;',
            '<center><br>Вы действительно хотите покинуть текущий клан?<br><br></center>',
            {
                'a1': 'top.frames[\'main\'].mod5back();',
                'usewin': ''
            },
            2,
            1,
            'min-width:300px;'
        );
    }

    function mod5back() {
        location.href = '/main.php?clan&unclanme=1';
    }
</script>
<script>
    function mod6() {
        top.win.add(
            'mod1panel',
            'Заклятие молчания',
            '<center>Введите логин:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod6back(top.$(\'#mod1v1\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');top.$(\'#mod1v1\').focus()',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod6back(login) {
        location.href = '/main.php?clan&molch15add=' + login;
    }

    function mod7() {
        top.win.add(
            'mod1panel',
            'Заклятие молчания',
            '<center>Введите логин:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod7back(top.$(\'#mod1v1\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');top.$(\'#mod1v1\').focus()',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod7back(login) {
        location.href = '/main.php?clan&molch30add=' + login;
    }

    function mod8() {
        top.win.add(
            'mod1panel',
            'Используем нападение',
            '<center>Введите логин:<br><small>(можно щелкнуть по логину в чате)</small></center>',
            {
                'a1': 'top.frames[\'main\'].mod8back(top.$(\'#mod1v1\').val());',
                'usewin': 'top.chat.inObj = top.$(\'#mod1v1\');top.$(\'#mod1v1\').focus()',
                'd': '<center><input style="width:96%; margin:5px;" id="mod1v1" class="inpt2" type="text" value=""></center>'
            },
            3,
            1,
            'min-width:300px;'
        );
        top.chat.inObj = top.$('#mod1v1');
    }

    function mod8back(login) {
        location.href = '/main.php?clan&atckadd=' + login;
    }
</script>
<script>
    function openMod(title, dat) {
        var d = document.getElementById('useMagic');
        if (d != undefined) {
            document.getElementById('modtitle').innerHTML = '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr><td valign="top">' + title + '</td><td width="30" valign="top"><div align="right"><a title="Закрыть окно" onClick="closeMod(); return false;" href="#">x</a></div></td></tr></table>';
            document.getElementById('moddata').innerHTML = dat;

            d.style.display = '';

        }
    }

    function closeMod() {
        var d = document.getElementById('useMagic');
        if (d != undefined) {
            document.getElementById('modtitle').innerHTML = '';
            document.getElementById('moddata').innerHTML = '';
            d.style.display = 'none';
        }
    }
</script>
<table width="100%" height="10" border="0" cellspacing="0" cellpadding="0">
    <tr>

        <td width="355" style="padding-left:55px; padding-bottom:5px; padding-top:6px; border:1px solid #a4a6a3; border-right:0;" bgcolor="#c7c7c7" align="left"><h3
                    style="text-align:left;margin:0;padding:0;"><img class="cp" src="/static/img/i/lock.gif" title="Написать" width="20" height="15"
                                                                     onClick="top.chat.addto('klan','private');"><img src="/static/img/i/clan/<?= $clan['name'] ?>.gif"> <?= $clan['name'] ?>
            </h3></td>
        <td style="padding-right:155px;border:1px solid #a4a6a3; border-left:0;border-right:0;" align="center" bgcolor="#c7c7c7">
            <h3>Рейтинг: <?= round($r2['global'] / (15678 + $r2['level']), 3) . '<sup>&nbsp;' . $vid1 . '</sup>' ?></h3>
        </td>
        <td align="center" style="border:1px solid #a4a6a3; border-left:0;" bgcolor="#c7c7c7">
            <h3><a href="/clan/<?= $clan['name'] ?>" target="_blank">Позиция: <?= $r1['pos'] . '<sup>&nbsp;' . $vid . '</sup>' ?></a></h3>
        </td>
        <td width="200" align="right">
            <input class="btn" onClick="location.href='/main.php?clan';" type="button" value="Обновить">
            <input class="btn" onClick="location.href='/main.php';" type="button" value="Вернуться">
        </td>
    </tr>
</table>
<?php
if ($u->error != '') {
    echo '<div style="padding-top:10px;"><font color="red">' . $u->error . '</font></div>';
    if (isset($fastend)) {
        die();
    }
}
?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
    <tr>
        <td valign="top">
            <fieldset style="border: 1px solid white; padding: 10px;margin-top:15px; padding-bottom:10px;">
                <?php if (isset($_GET['edit_clan_info'])) {
                ?>
                    <form method="post" action="main.php?clan&notepad_clan=1">
<textarea style="width:80%; font-size:14px; height:380px" name="notepad_clan" id="notepad_clan">
<?= $notepad['text'] ?>
</textarea><br>
                        <input class="btn btn-primary" type="submit" value="Сохранить изменения">
                        <br>
                        <div id="informtxt"></div>
                        <?php if ($notepad['time'] > 0) { ?>
                            <br><font color=red><b>Дата последнего изменения: <?= date('d.m.Y H:i', $notepad['time']) ?></font></b>
                        <?php } ?>
                    </form>
                <? } ?>
                <legend style='font-weight:bold; color:#8F0000;'>Информация для клана <?php
                    $i = mysql_fetch_array(mysql_query('SELECT * FROM `notepad` WHERE `clan` = "' . $u->info['clan'] . '" LIMIT 1'));
                if ($clan_prava['glava'] == 'glava' || $clan_prava['pravo4'] > 0) { ?>
                        <img onclick="location='main.php?clan&edit_clan_info'" class="cp" src="/static/img/i/pencil.png">
                    <?
                    }
                    if (isset($i['id'])) { ?>
                </legend>
                    <?php echo $i['text'];
                } ?>
            </fieldset>
        </td>
        <td width="33%" valign="top">
            <fieldset style="border: 1px solid white; padding: 10px;margin-top:15px; padding-bottom:10px;">
                <legend style='font-weight:bold; color:#8F0000;'>Кнопки</legend>
                <?php if ($clan_prava['pravo1'] > 0) { ?>
                    <input onClick="mod1();" class="btn" type="button" value="Принять в клан">
                <? }
                if ($clan_prava['pravo2'] > 0) { ?>
                    <input onClick="mod2();" class="btn" type="button" value="Выгнать из клана">
                <? }
                if ($clan_prava['pravo3'] > 0) { ?>
                    <input onClick="mod3();" class="btn" type="button" value="Изменить звание">
                <? }
                if ($u->info['clan_prava'] == 'glava') { ?>
                    <input onClick="mod9();" class="btn" type="button" value="Редактировать права">
                    <input onClick="mod4();" class="btn" type="button" value="Сменить главу">
                <? } ?>
                <input onClick="mod5()" class="btn" type="button" value="Покинуть клан">
            </fieldset>
            <fieldset style="border: 1px solid white; padding: 10px;margin-top:15px; padding-bottom:10px;">
                <legend style='font-weight:bold; color:#8F0000;'>Абилки</legend>
                <?php
                //
                $abil = [];
                //
                if ($r1['pos'] == 1 || $u->info['admin'] > 0) {
                    $abil['exp'] = 20;
                    $abil['stats'] = 5;
                    $abil['amp'] = 10;
                    $abil['atck'] = 15;
                    $abil['atck2'] = 10;
                    $abil['hpmp'] = 100000;
                    $abil['molch15'] = 10;
                    $abil['molch30'] = 5;
                    $abil['exit_btl'] = 5;
                    $abil['hpvinos5'] = 20;
                    $abil['hl11'] = 20;
                    $abil['hl10'] = 20;
                    $abil['hl9'] = 20;
                    $abil['hl8'] = 30;
                    $abil['hl7'] = 20;
                    $abil['hl6'] = 20;
                    $abil['hl5'] = 20;
                    $abil['hl4'] = 20;
                    $abil['hl3'] = 20;
                    $abil['hl2'] = 30;
                    $abil['hl1'] = 5;
                } elseif ($r1['pos'] == 2) {
                    $abil['exp'] = 10;
                    $abil['stats'] = 3;
                    $abil['amp'] = 5;
                    $abil['atck'] = 10;
                    $abil['atck2'] = 5;
                    $abil['hpmp'] = 60000;
                    $abil['molch15'] = 5;
                    $abil['molch30'] = 3;
                    $abil['exit_btl'] = 3;
                    $abil['hpvinos5'] = 15;
                    $abil['hl11'] = 15;
                    $abil['hl10'] = 15;
                    $abil['hl9'] = 15;
                    $abil['hl8'] = 20;
                    $abil['hl7'] = 15;
                    $abil['hl6'] = 15;
                    $abil['hl5'] = 15;
                    $abil['hl4'] = 15;
                    $abil['hl3'] = 15;
                    $abil['hl2'] = 20;
                    $abil['hl1'] = 3;
                } elseif ($r1['pos'] == 3) {
                    $abil['exp'] = 5;
                    $abil['stats'] = 1;
                    $abil['amp'] = 3;
                    $abil['atck'] = 5;
                    $abil['atck2'] = 3;
                    $abil['hpmp'] = 40000;
                    $abil['molch15'] = 3;
                    $abil['molch30'] = 1;
                    $abil['exit_btl'] = 1;
                    $abil['hpvinos5'] = 10;
                    $abil['hl11'] = 10;
                    $abil['hl10'] = 10;
                    $abil['hl9'] = 10;
                    $abil['hl8'] = 15;
                    $abil['hl7'] = 10;
                    $abil['hl6'] = 10;
                    $abil['hl5'] = 10;
                    $abil['hl3'] = 10;
                    $abil['hl4'] = 10;
                    $abil['hl2'] = 15;
                    $abil['hl1'] = 1;
                } elseif ($r1['pos'] == 4) {
                    $abil['exp'] = 0;
                    $abil['stats'] = 0;
                    $abil['amp'] = 0;
                    $abil['atck'] = 3;
                    $abil['atck2'] = 1;
                    $abil['hpmp'] = 20000;
                    $abil['molch15'] = 1;
                    $abil['molch30'] = 0;
                    $abil['exit_btl'] = 0;
                    $abil['hpvinos5'] = 5;
                    $abil['hl11'] = 5;
                    $abil['hl10'] = 5;
                    $abil['hl9'] = 5;
                    $abil['hl8'] = 10;
                    $abil['hl7'] = 5;
                    $abil['hl6'] = 5;
                    $abil['hl5'] = 5;
                    $abil['hl4'] = 5;
                    $abil['hl3'] = 5;
                    $abil['hl2'] = 10;
                    $abil['hl1'] = 0;
                } elseif ($r1['pos'] == 5) {
                    $abil['exp'] = 0;
                    $abil['stats'] = 0;
                    $abil['amp'] = 0;
                    $abil['atck'] = 1;
                    $abil['atck2'] = 0;
                    $abil['hpmp'] = 10000;
                    $abil['m1'] = 0;
                    $abil['m2'] = 0;
                    $abil['molch15'] = 0;
                    $abil['molch30'] = 0;
                    $abil['exit_btl'] = 0;
                    $abil['hpvinos5'] = 1;
                    $abil['hl11'] = 1;
                    $abil['hl10'] = 1;
                    $abil['hl9'] = 1;
                    $abil['hl8'] = 3;
                    $abil['hl7'] = 1;
                    $abil['hl6'] = 1;
                    $abil['hl5'] = 1;
                    $abil['hl4'] = 1;
                    $abil['hl3'] = 1;
                    $abil['hl2'] = 3;
                    $abil['hl1'] = 0;
                } else {
                    $abil['exp'] = 0;
                    $abil['stats'] = 0;
                    $abil['amp'] = 0;
                    $abil['atck'] = 0;
                    $abil['atck2'] = 0;
                    $abil['hpmp'] = 5000;
                    $abil['m1'] = 0;
                    $abil['m2'] = 0;
                    $abil['molch15'] = 0;
                    $abil['molch30'] = 0;
                    $abil['exit_btl'] = 0;
                    $abil['hpvinos5'] = 0;
                    $abil['hl11'] = 1;
                    $abil['hl10'] = 1;
                    $abil['hl9'] = 0;
                    $abil['hl8'] = 1;
                    $abil['hl7'] = 0;
                    $abil['hl6'] = 0;
                    $abil['hl5'] = 0;
                    $abil['hl4'] = 0;
                    $abil['hl3'] = 0;
                    $abil['hl2'] = 1;
                    $abil['hl1'] = 0;
                }

                $abil['_hl9'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl9" LIMIT 1'));
                $abil['_hl9'] = 0 + $abil['_hl9'][0];
                $abil['hl9'] -= $abil['_hl9'];
                //
                $abil['_hl3'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl3" LIMIT 1'));
                $abil['_hl3'] = 0 + $abil['_hl3'][0];
                $abil['hl3'] -= $abil['_hl3'];
                //
                $abil['_hl4'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl4" LIMIT 1'));
                $abil['_hl4'] = 0 + $abil['_hl4'][0];
                $abil['hl4'] -= $abil['_hl4'];
                //
                $abil['_hl5'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl5" LIMIT 1'));
                $abil['_hl5'] = 0 + $abil['_hl5'][0];
                $abil['hl5'] -= $abil['_hl5'];
                //
                $abil['_hl6'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl6" LIMIT 1'));
                $abil['_hl6'] = 0 + $abil['_hl6'][0];
                $abil['hl6'] -= $abil['_hl6'];
                //
                $abil['_hl7'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl7" LIMIT 1'));
                $abil['_hl7'] = 0 + $abil['_hl7'][0];
                $abil['hl7'] -= $abil['_hl7'];
                //
                $abil['_hl8'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl8" LIMIT 1'));
                $abil['_hl8'] = 0 + $abil['_hl8'][0];
                $abil['hl8'] -= $abil['_hl8'];
                //
                $abil['_hl2'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl2" LIMIT 1'));
                $abil['_hl2'] = 0 + $abil['_hl2'][0];
                $abil['hl2'] -= $abil['_hl2'];
                //
                $abil['_hl10'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl10" LIMIT 1'));
                $abil['_hl10'] = 0 + $abil['_hl10'][0];
                $abil['hl10'] -= $abil['_hl10'];
                //
                $abil['_hl11'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hl11" LIMIT 1'));
                $abil['_hl11'] = 0 + $abil['_hl11'][0];
                $abil['hl11'] -= $abil['_hl11'];
                //
                $abil['_molch15'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "molch15" LIMIT 1'));
                $abil['_molch15'] = 0 + $abil['_molch15'][0];
                $abil['molch15'] -= $abil['_molch15'];
                //
                $abil['_molch30'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "molch30" LIMIT 1'));
                $abil['_molch30'] = 0 + $abil['_molch30'][0];
                $abil['molch30'] -= $abil['_molch30'];
                //
                $abil['_exit_btl'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "exit_btl" LIMIT 1'));
                $abil['_exit_btl'] = 0 + $abil['_exit_btl'][0];
                $abil['exit_btl'] -= $abil['_exit_btl'];
                //
                $abil['_hpvinos5'] = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `clan_ability` WHERE `date` = "' . date('d.m.Y') . '" AND `clan` = "' . $u->info['clan'] . '" AND `pravo` = "hpvinos5" LIMIT 1'));
                $abil['_hpvinos5'] = 0 + $abil['_hpvinos5'][0];
                $abil['hpvinos5'] -= $abil['_hpvinos5'];


                $html = '';
                $er = '';
                if ($u->info['clan'] == $u->info['clan']) {
                    if ($abil['atck'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            //Обычная нападалка
                            $html .= '<img onclick="mod8();" onMouseOver="top.hi(this,\'<b>Нападение</b> (Осталось ' . $abil['atck'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/n/attack.gif"> ';
                        }
                    }

                    if ($abil['atck2'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            //Кровавое нападалка
                            $html .= '<img onclick="" onMouseOver="top.hi(this,\'<b>Кровавое Нападение</b> (Осталось ' . $abil['atck2'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/n/attackb.gif"> ';
                        }
                    }

                    //сокрушение
                    if (isset($_GET['hl9add']) && $abil['hl9'] > 0) {
                        $abil['hl9']--;
                        $additm = $u->addItem(994, $u->info['id']);
                        if ($additm > 0) {
                            $_GET['login'] = $u->info['login']; //на кого кастуем
                            $magic->useItems($additm);
                            unset($_GET['login']);
                            mysql_query('DELETE FROM `items_users` WHERE `id` = "' . $additm . '" LIMIT 1');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES (
						"0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl9"
					)');
                            if ($u->error != '') {
                                $er = $u->error . '<br></b>(Осталось кастов: ' . $abil['hl9'] . ' на сегодня)<b>';
                            } else {
                                $er = 'Вы ощутили силу каста &quot;<b>Сокрушение</b>&quot;.<br></b>(Осталось кастов: ' . $abil['hl9'] . ' на сегодня)<b>';
                            }
                        } else {
                            $er = 'Что-то пошло не так, каст не сработал...';
                        }
                    }
                    if ($abil['hl9'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            $html .= '<img onclick="location.href=\'/main.php?clan&hl9add\';" onMouseOver="top.hi(this,\'<b>Сокрушение</b> (Осталось: ' . $abil['hl9'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/eff/spell_powerup10.gif"> ';
                        }
                    }

                    //защита от оружия
                    if (isset($_GET['hl3add']) && $abil['hl3'] > 0) {
                        $abil['hl3']--;
                        $additm = $u->addItem(1001, $u->info['id']);
                        if ($additm > 0) {
                            $_GET['login'] = $u->info['login']; //на кого кастуем
                            $magic->useItems($additm);
                            unset($_GET['login']);
                            mysql_query('DELETE FROM `items_users` WHERE `id` = "' . $additm . '" LIMIT 1');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES (
						"0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl3"
					)');
                            if ($u->error != '') {
                                $er = $u->error . '<br></b>(Осталось кастов: ' . $abil['hl3'] . ' на сегодня)<b>';
                            } else {
                                $er = 'Вы ощутили силу каста &quot;<b>Защиты от оружия</b>&quot;.<br></b>(Осталось кастов: ' . $abil['hl3'] . ' на сегодня)<b>';
                            }
                        } else {
                            $er = 'Что-то пошло не так, каст не сработал...';
                        }
                    }
                    if ($abil['hl3'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            $html .= '<img onclick="location.href=\'/main.php?clan&hl3add\';" onMouseOver="top.hi(this,\'<b>Защита от оружия</b> (Осталось: ' . $abil['hl3'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/spell_protect10.gif">';
                        }
                    }
                    //жажда жизни +5
                    //защита от оружия
                    if (isset($_GET['hpvinos']) && $abil['hpvinos5'] > 0) {
                        $abil['hpvinos5']--;
                        $additm = $u->addItem(3102, $u->info['id']);
                        if ($additm > 0) {
                            $_GET['login'] = $u->info['login']; //на кого кастуем
                            $magic->useItems($additm);
                            unset($_GET['login']);
                            mysql_query('DELETE FROM `items_users` WHERE `id` = "' . $additm . '" LIMIT 1');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES (
						"0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hpvinos5"
					)');
                            if ($u->error != '') {
                                $er = $u->error . '<br></b>(Осталось кастов: ' . $abil['hpvinos5'] . ' на сегодня)<b>';
                            } else {
                                $er = 'Вы ощутили силу каста &quot;<b>Защиты от оружия</b>&quot;.<br></b>(Осталось кастов: ' . $abil['hpvinos5'] . ' на сегодня)<b>';
                            }
                        } else {
                            $er = 'Что-то пошло не так, каст не сработал...';
                        }
                    }
                    if ($abil['hpvinos5'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            $html .= '<img onclick="location.href=\'/main.php?clan&hpvinos\';" onMouseOver="top.hi(this,\'<b>Жажда Жизни +5</b> (Осталось: ' . $abil['hpvinos5'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/spell_powerHPup5.gif">';
                        }
                    }
                    //Магическое усиление
                    if (isset($_GET['hl4add']) && $abil['hl4'] > 0) {
                        $abil['hl4']--;
                        $additm = $u->addItem(4942, $u->info['id']);
                        if ($additm > 0) {
                            $_GET['login'] = $u->info['login']; //на кого кастуем
                            $magic->useItems($additm);
                            unset($_GET['login']);
                            mysql_query('DELETE FROM `items_users` WHERE `id` = "' . $additm . '" LIMIT 1');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES (
						"0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl4"
					)');
                            if ($u->error != '') {
                                $er = $u->error . '<br></b>(Осталось кастов: ' . $abil['hl4'] . ' на сегодня)<b>';
                            } else {
                                $er = 'Вы ощутили силу каста &quot;<b>Магического усиления</b>&quot;.<br></b>(Осталось кастов: ' . $abil['hl4'] . ' на сегодня)<b>';
                            }
                        } else {
                            $er = 'Что-то пошло не так, каст не сработал...';
                        }
                    }
                    if ($abil['hl4'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            $html .= '<img onclick="location.href=\'/main.php?clan&hl4add\';" onMouseOver="top.hi(this,\'<b>Магическое усиление</b> (Осталось: ' . $abil['hl4'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/invoke_spell_godintel100.gif">';
                        }
                    }
                    //защита от магии
                    if (isset($_GET['hl5add']) && $abil['hl5'] > 0) {
                        $abil['hl5']--;
                        $additm = $u->addItem(4941, $u->info['id']);
                        if ($additm > 0) {
                            $_GET['login'] = $u->info['login']; //на кого кастуем
                            $magic->useItems($additm);
                            unset($_GET['login']);
                            mysql_query('DELETE FROM `items_users` WHERE `id` = "' . $additm . '" LIMIT 1');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES (
						"0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl5"
					)');
                            if ($u->error != '') {
                                $er = $u->error . '<br></b>(Осталось кастов: ' . $abil['hl5'] . ' на сегодня)<b>';
                            } else {
                                $er = 'Вы ощутили силу каста &quot;<b>Защита от магии</b>&quot;.<br></b>(Осталось кастов: ' . $abil['hl5'] . ' на сегодня)<b>';
                            }
                        } else {
                            $er = 'Что-то пошло не так, каст не сработал...';
                        }
                    }
                    if ($abil['hl5'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            $html .= '<img onclick="location.href=\'/main.php?clan&hl5add\';" onMouseOver="top.hi(this,\'<b>Защита от магии</b> (Осталось: ' . $abil['hl5'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/magearmor.gif">';
                        }
                    }
                    //Восстановление Энергии +120 ХП
                    if (isset($_GET['hl8add']) && $abil['hl8'] > 0) {
                        $battle = mysql_fetch_array(mysql_query('SELECT * FROM `battle` WHERE `id` = "' . $u->info['battle'] . '" LIMIT 1'));
                        $bu = mysql_fetch_array(mysql_query('SELECT * FROM `spells` WHERE `btl` = "' . $u->info['battle'] . '" AND `uid` = "' . $u->info['id'] . '" LIMIT 1'));
                        if ($u->info['hpNow'] >= $u->stats['hpAll']) {
                            $er = 'Вам незачем восстанавливать Энергию';
                        } elseif ($u->info['tactic7'] < 2.50) {
                            $er = 'Недостаточно духа!';
                        } elseif ($u->info['hpNow'] < 0) {
                            $er = 'Вы умерли...';
                        } elseif (isset($bu['id'])) {
                            $er = 'Нельзя использовать свиток каждый ход...';
                        } elseif ($battle['noeff'] > 0) {
                            $er = 'Запрет на использования свитков восстановления';
                        } else {
                            $abil['hl8']--;
                            $u->info['hpNow'] = $u->info['hpNow'] += 120;
                            $u->info['tactic7'] = $u->info['tactic7'] -= 2.50;
                            mysql_query('INSERT INTO `spells` (`btl`,`uid`,`time`,`item_id`,`var`,`hod`) VALUES ("' . $u->info['battle'] . '","' . $u->info['id'] . '","' . time() . '","' . $itm['item_id'] . '","' . $itm['name'] . '","1")');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl8")');
                            mysql_query('UPDATE `stats` SET `hpNow` = "' . $u->info['hpNow'] . '",`tactic7` = "' . $u->info['tactic7'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                            $er = 'Успешно использован свиток "Восстановление Энергии +120"<br></b>(Осталось восстановлений: ' . $abil['hl8'] . ' на сегодня)<b>';
                        }
                    }
                    if ($abil['hl8'] > 0) {
                        $html .= '<img onclick="location.href=\'/main.php?clan&hl8add\';" onMouseOver="top.hi(this,\'<b>Восстановление Энергии +120</b> (Осталось: ' . $abil['hl8'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/cureHP120.gif">';
                    }
                    //Восстановление Энергии +600 ХП
                    if (isset($_GET['hl10add']) && $abil['hl10'] > 0) {
                        $battle = mysql_fetch_array(mysql_query('SELECT * FROM `battle` WHERE `id` = "' . $u->info['battle'] . '" LIMIT 1'));
                        $bu = mysql_fetch_array(mysql_query('SELECT * FROM `spells` WHERE `btl` = "' . $u->info['battle'] . '" AND `uid` = "' . $u->info['id'] . '" LIMIT 1'));
                        if ($u->info['hpNow'] >= $u->stats['hpAll']) {
                            $er = 'Вам незачем восстанавливать Энергию';
                        } elseif ($u->info['tactic7'] < 5) {
                            $er = 'Недостаточно духа!';
                        } elseif ($u->info['hpNow'] < 0) {
                            $er = 'Вы умерли...';
                        } elseif (isset($bu['id'])) {
                            $er = 'Нельзя использовать свиток каждый ход...';
                        } elseif ($battle['noeff'] > 0) {
                            $er = 'Запрет на использования свитков восстановления';
                        } else {
                            $abil['hl10']--;
                            $u->info['hpNow'] = $u->info['hpNow'] += 600;
                            $u->info['tactic7'] = $u->info['tactic7'] -= 5;
                            mysql_query('INSERT INTO `spells` (`btl`,`uid`,`time`,`item_id`,`var`,`hod`) VALUES ("' . $u->info['battle'] . '","' . $u->info['id'] . '","' . time() . '","' . $itm['item_id'] . '","' . $itm['name'] . '","1")');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl10")');
                            mysql_query('UPDATE `stats` SET `hpNow` = "' . $u->info['hpNow'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                            $er = 'Успешно использован свиток "Восстановление Энергии +600"<br></b>(Осталось восстановлений: ' . $abil['hl10'] . ' на сегодня)<b>';
                        }
                    }
                    if ($abil['hl10'] > 0) {
                        $html .= '<img onclick="location.href=\'/main.php?clan&hl10add\';" onMouseOver="top.hi(this,\'<b>Восстановление Энергии +600</b> (Осталось: ' . $abil['hl10'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/cureHP600.gif">';
                    }
                    //Восстановление манны +250 МР
                    if (isset($_GET['hl2add']) && $abil['hl2'] > 0) {
                        $battle = mysql_fetch_array(mysql_query('SELECT * FROM `battle` WHERE `id` = "' . $u->info['battle'] . '" LIMIT 1'));
                        $bu = mysql_fetch_array(mysql_query('SELECT * FROM `spells` WHERE `btl` = "' . $u->info['battle'] . '" AND `uid` = "' . $u->info['id'] . '" LIMIT 1'));
                        if ($u->info['mpNow'] >= $u->stats['mpAll']) {
                            $er = 'Вам незачем восстанавливать манну';
                        } elseif ($u->info['tactic7'] < 2.50) {
                            $er = 'Недостаточно духа!';
                        } elseif ($u->info['hpNow'] < 0) {
                            $er = 'Вы умерли...';
                        } elseif (isset($bu['id'])) {
                            $er = 'Нельзя использовать свиток каждый ход...';
                        } elseif ($battle['noeff'] > 0) {
                            $er = 'Запрет на использования свитков восстановления';
                        } else {
                            $abil['hl2']--;
                            $u->info['mpNow'] = $u->info['mpNow'] += 250;
                            $u->info['tactic7'] = $u->info['tactic7'] -= 2.50;
                            mysql_query('INSERT INTO `spells` (`btl`,`uid`,`time`,`item_id`,`var`,`hod`) VALUES ("' . $u->info['battle'] . '","' . $u->info['id'] . '","' . time() . '","' . $itm['item_id'] . '","' . $itm['name'] . '","1")');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl2")');
                            mysql_query('UPDATE `stats` SET `mpNow` = "' . $u->info['mpNow'] . '",`tactic7` = "' . $u->info['tactic7'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                            $er = 'Успешно использован свиток "Восстановление манны +250"<br></b>(Осталось восстановлений: ' . $abil['hl2'] . ' на сегодня)<b>';
                        }
                    }
                    if ($abil['hl2'] > 0) {
                        $html .= '<img onclick="location.href=\'/main.php?clan&hl2add\';" onMouseOver="top.hi(this,\'<b>Восстановление манны +250</b> (Осталось: ' . $abil['hl2'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/cureMana50.gif">';
                    }
                    //молча 15 минут
                    if (isset($_GET['molch15add']) && $abil['molch15'] > 0) {
                        $abil['molch15']--;
                        $user = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['molch15add']) . '" LIMIT 1'));
                        if ($u->info['login'] == $user['login']) {
                            $er = 'Вы не можете использовать молчанку на себя!';
                        } elseif ($user['molch1'] > time()) {
                            $er = 'На персонаже уже есть заклятие молчания!';
                        } elseif (!isset($user['id'])) {
                            $er = 'Персонаж с логином &quot;' . htmlspecialchars($_GET['molch15add']) . '&quot; не найден.';
                        } else {
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","molch15")');
                            mysql_query('UPDATE `users` SET `molch1` = "' . (time() + 900) . '" WHERE `login` = "' . mysql_real_escape_string($_GET['molch15add']) . '" LIMIT 1 ');
                            $er = 'Вы наказали молчанием персонажа <b> ' . $u->microLogin($user['id'], 1) . '</b> сроком 15 минут <br> (Осталось: ' . $abil['molch15'] . ' шт. на сегодня) ';
                            $msg = '[img[items/silence15.gif]] Персонаж &quot;' . $u->info['login'] . '&quot; наложил заклятие молчания на &quot;' . $user['login'] . '&quot;, сроком 15 минут';
                            mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`typeTime`) VALUES (1,'" . $u->info['city'] . "','" . $u->info['room'] . "','','','" . $msg . "','" . time() . "','6','0','1')");
                        }
                    }
                    if ($abil['molch15'] > 0) {
                        $html .= '<img onclick="mod6();" onMouseOver="top.hi(this,\'<b>Заклятие молчания</b> (Осталось: ' . $abil['molch15'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/n/silence15.gif">';
                    }
                    //молча 30 минут
                    if (isset($_GET['molch30add']) && $abil['molch30'] > 0) {
                        $abil['molch30']--;
                        $user = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `login` = "' . mysql_real_escape_string($_GET['molch30add']) . '" LIMIT 1'));
                        if ($u->info['login'] == $user['login']) {
                            $er = 'Вы не можете использовать молчанку на себя!';
                        } elseif ($user['molch1'] > time()) {
                            $er = 'На персонаже уже есть заклятие молчания!';
                        } elseif (!isset($user['id'])) {
                            $er = 'Персонаж с логином &quot;' . htmlspecialchars($_GET['molch30add']) . '&quot; не найден.';
                        } else {
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","molch30")');
                            mysql_query('UPDATE `users` SET `molch1` = "' . (time() + 1800) . '" WHERE `login` = "' . mysql_real_escape_string($_GET['molch30add']) . '" LIMIT 1 ');
                            $er = 'Вы наказали молчанием персонажа <b> ' . $u->microLogin($user['id'], 1) . '</b> сроком 30 минут <br> (Осталось: ' . $abil['molch30'] . ' шт. на сегодня) ';
                            $msg = '[img[items/silence30.gif]] Персонаж &quot;' . $u->info['login'] . '&quot; наложил заклятие молчания на &quot;' . $user['login'] . '&quot;, сроком 30 минут';
                            mysql_query("INSERT INTO `chat` (`new`,`city`,`room`,`login`,`to`,`text`,`time`,`type`,`toChat`,`typeTime`) VALUES (1,'" . $u->info['city'] . "','" . $u->info['room'] . "','','','" . $msg . "','" . time() . "','6','0','1')");
                        }
                    }
                    if ($abil['molch30'] > 0) {
                        $html .= '<img onclick="mod7();" onMouseOver="top.hi(this,\'<b>Заклятие молчания</b> (Осталось: ' . $abil['molch30'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/n/silence30.gif">';
                    }
                    //выход из боя
                    if (isset($_GET['exit_battle']) && $abil['exit_btl'] > 0) {
                        $abil['exit_btl']--;
                        $battle = mysql_fetch_array(mysql_query('SELECT * FROM `battle` WHERE `id` = "' . $u->info['battle'] . '" LIMIT 1'));
                        if ($battle['dn_id'] > 0 || $battle['izlom'] > 0) {
                            $er = '<font color=red><b>Магия не действует в пещерах и подобных локациях...</b></font>';
                        } elseif ($battle['noinc'] > 0) {
                            $er = '<font color=red><b>Бой изолирован и вы не можете его покинуть</b></font>';
                        } elseif ($battle['clone'] > 0) {
                            $er = '<font color=red><b>Невозможно покинуть поединок с клоном</b></font>';
                        } elseif ($u->info['battle'] == 0) {
                            $er = 'Использовать можно только в поединке!';
                        } else {
                            mysql_query('UPDATE `stats` SET `battle_yron` = 0, `battle_exp` = 0,`tactic1` = 0 , `tactic2` = 0 , `tactic3` = 0 , `tactic4` = 0 , `tactic5` = 0 , `tactic6` = 0 , `tactic7` = -1 , `last_pr` = 0 , `last_hp` = -1 , `team` = 0, `old_battle` = "' . $u->info['battle'] . '" WHERE `id` = ' . $u->info['id'] . ' LIMIT 1');
                            mysql_query('UPDATE `users` SET `battle` = "0", `lose` = `lose` + 1 WHERE `id` = ' . $u->info['id'] . ' LIMIT 1');
                            mysql_query('DELETE FROM `eff_users` WHERE `v1` = "priem" AND `uid` = "' . $u->info['id'] . '" AND `delete` = 0');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","exit_btl")');
                            $er = 'Вы сбежали с поля боя, ваши союзники насмехаются над вами...';
                        }
                    }
                    if ($abil['exit_btl'] > 0) {
                        $html .= '<img onclick="location.href=\'/main.php?clan&exit_battle\';" onMouseOver="top.hi(this,\'<b>Выход из боя</b> (Осталось: ' . $abil['exit_btl'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/n/retreat.gif">';
                    }

                    //Восстановление манны +1000 МР
                    if (isset($_GET['hl11add']) && $abil['hl11'] > 0) {
                        $battle = mysql_fetch_array(mysql_query('SELECT * FROM `battle` WHERE `id` = "' . $u->info['battle'] . '" LIMIT 1'));
                        $bu = mysql_fetch_array(mysql_query('SELECT * FROM `spells` WHERE `btl` = "' . $u->info['battle'] . '" AND `uid` = "' . $u->info['id'] . '" LIMIT 1'));
                        if ($u->info['tactic7'] < 5) {
                            $er = 'Недостаточно духа!';
                        } elseif ($u->info['hpNow'] < 0) {
                            $er = 'Вы умерли ...';
                        } elseif ($u->info['mpNow'] >= $u->stats['mpAll']) {
                            $er = 'Вам незачем восстанавливать манну';
                        } elseif (isset($bu['id'])) {
                            $er = 'Нельзя использовать свиток каждый ход...';
                        } elseif ($battle['noeff'] > 0) {
                            $er = 'Запрет на использования свитков восстановления';
                        } else {
                            $abil['hl11']--;
                            $u->info['mpNow'] = $u->info['mpNow'] += 1000;
                            $u->info['tactic7'] = $u->info['tactic7'] -= 5;
                            mysql_query('INSERT INTO `spells` (`btl`,`uid`,`time`,`item_id`,`var`,`hod`) VALUES ("' . $u->info['battle'] . '","' . $u->info['id'] . '","' . time() . '","' . $itm['item_id'] . '","' . $itm['name'] . '","1")');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl11")');
                            mysql_query('UPDATE `stats` SET `mpNow` = "' . $u->info['mpNow'] . '",`tactic7` = "' . $u->info['tactic7'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                            $er = 'Успешно использован свиток "Восстановление манны +1000"<br></b>(Осталось восстановлений: ' . $abil['hl11'] . ' на сегодня)<b>';
                        }
                    }
                    if ($abil['hl11'] > 0) {
                        $html .= '<img onclick="location.href=\'/main.php?clan&hl11add\';" onMouseOver="top.hi(this,\'<b>Восстановление манны +1000</b> (Осталось: ' . $abil['hl11'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/cureMana1000.gif">';
                    }
                    //лечени травм
                    if (isset($_GET['hl6add']) && $abil['hl6'] > 0) {
                        $abil['hl6']--;
                        mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES (
						"0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl6"
					)');
                        $travm = mysql_fetch_array(mysql_query('SELECT * FROM `eff_users` WHERE `uid`="' . $u->info['id'] . '" and `id_eff`="4" and `delete`="0" LIMIT 1'));
                        if ($travm) {
                            mysql_query('UPDATE `eff_users` SET `delete` = "' . time() . '" WHERE `id` = "' . $travm['id'] . '" LIMIT 1');
                            $er = 'Вы исцелились от "' . $travm['name'] . '"</b><br>(Осталось лечений: ' . $abil['hl6'] . ' на сегодня)';
                        } else {
                            $er = 'У вас нету травмы.';
                        }
                    }
                    if ($abil['hl6'] > 0) {
                        if ($u->info['battle'] > 0) {
                            $html .= '';
                        } else {
                            $html .= '<img onclick="location.href=\'/main.php?clan&hl6add\';" onMouseOver="top.hi(this,\'<b>Лечени травм</b> (Осталось: ' . $abil['hl6'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/pal_buttond.gif">';
                        }
                    }
                    //уникальная тактика
                    if (isset($_GET['hl7add']) && $abil['hl7'] > 0) {
                        $bu = mysql_fetch_array(mysql_query('SELECT * FROM `tactic` WHERE `btl` = "' . $u->info['battle'] . '" AND `uid` = "' . $u->info['id'] . '" LIMIT 1'));
                        if ($u->info['battle'] == 0) {
                            $er = 'Использовать можно только в поединке!';
                        } elseif (isset($bu['id'])) {
                            $er = 'Нельзя использовать свиток каждый ход...';
                        } else {
                            $abil['hl7']--;
                            mysql_query('INSERT INTO `tactic` (`btl`,`uid`,`time`,`item_id`,`var`,`hod`) VALUES ("' . $u->info['battle'] . '","' . $u->info['id'] . '","' . time() . '","' . $itm['item_id'] . '","' . $itm['name'] . '","1")');
                            mysql_query('INSERT INTO `clan_ability` ( `item_id` , `date` , `clan` , `uid` , `time` , `pravo` ) VALUES ("0","' . date('d.m.Y') . '","' . $u->info['clan'] . '","' . $u->info['id'] . '","' . time() . '","hl7")');
                            mysql_query('UPDATE `stats` SET 
			   `tactic1` = `tactic1` + 1,
			   `tactic2` = `tactic2` + 1,
			   `tactic3` = `tactic3` + 1,
			   `tactic4` = `tactic4` + 1,
			   `tactic5` = `tactic5` + 1,
			   `tactic6` = `tactic6` + 1
			   WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                            $er = 'Вы использовали Уникальную тактику +1';
                        }
                    }
                    if ($abil['hl7'] > 0) {
                        $html .= '<img onclick="location.href=\'/main.php?clan&hl7add\';" onMouseOver="top.hi(this,\'<b>Уникальная тактика</b> (Осталось: ' . $abil['hl7'] . ' шт.)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/invoke_tactics5.gif">';
                    }


                    /////////////////
                    //Колодцы
                    if ($abil['hpmp'] > 0) {
                        $hplast = $abil['hpmp'];
                        $mplast = $abil['hpmp'];
                        //
                        $hpcl = mysql_fetch_array(mysql_query('SELECT SUM(`val`) FROM `clan_ab` WHERE `var` = "hpvortex" AND `date` = "' . date('dmY') . '" AND `clan` = "' . $clan['id'] . '" LIMIT 1'));
                        $hpcl = $hpcl[0];
                        $mpcl = mysql_fetch_array(mysql_query('SELECT SUM(`val`) FROM `clan_ab` WHERE `var` = "mpvortex" AND `date` = "' . date('dmY') . '" AND `clan` = "' . $clan['id'] . '" LIMIT 1'));
                        $mpcl = $mpcl[0];
                        //
                        $hplast -= $hpcl;
                        $mplast -= $mpcl;
                        //
                        if (isset($_GET['hpvortex'])) {
                            if ($u->info['battle'] > 0) {
                                $er = 'Невозможно использовать в поединке!';
                            } elseif ($u->stats['hpNow'] >= $u->stats['hpAll']) {
                                $er = 'Вам незачем восстанавливать здоровье (HP)';
                            } elseif ($hplast > 0) {
                                $heal = round($u->stats['hpAll'] - $u->stats['hpNow']);
                                if ($heal > $hplast) {
                                    $heal = $hplast;
                                }
                                $u->stats['hpNow'] += $heal;
                                $hplast -= $heal;
                                //
                                $er = 'Вы успешно восстановили ' . $heal . ' HP.';
                                mysql_query('UPDATE `stats` SET `hpNow` = "' . $u->stats['hpNow'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                                mysql_query('INSERT INTO `clan_ab` (`clan`,`var`,`val`,`uid`,`time`,`date`) VALUES (
							"' . $clan['id'] . '","hpvortex","' . $heal . '","' . $u->info['id'] . '","' . time() . '","' . date('dmY') . '"
						)');
                                //
                            } else {
                                $er = 'Колодец исчерпал свои ресурсы, попробуйте завтра';
                            }
                        }
                        //
                        if (isset($_GET['mpvortex'])) {
                            if ($u->info['battle'] > 0) {
                                $er = 'Невозможно использовать в поединке!';
                            } elseif ($u->stats['mpNow'] >= $u->stats['mpAll']) {
                                $er = 'Вам незачем восстанавливать ману (MP)';
                            } elseif ($mplast > 0) {
                                $heal = round($u->stats['mpAll'] - $u->stats['mpNow']);
                                if ($heal > $mplast) {
                                    $heal = $mplast;
                                }
                                $u->stats['mpNow'] += $heal;
                                $mplast -= $heal;
                                //
                                $er = 'Вы успешно восстановили ' . $heal . ' MP.';
                                mysql_query('UPDATE `stats` SET `mpNow` = "' . $u->stats['mpNow'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                                mysql_query('INSERT INTO `clan_ab` (`clan`,`var`,`val`,`uid`,`time`,`date`) VALUES (
							"' . $clan['id'] . '","mpvortex","' . $heal . '","' . $u->info['id'] . '","' . time() . '","' . date('dmY') . '"
						)');
                                //
                            } else {
                                $er = 'Колодец исчерпал свои ресурсы, попробуйте завтра';
                            }
                        }
                        //
                    }


                    ?>
                    <script>
                        function abil1() {
                            top.win.add(
                                'abil1panel',
                                'Помощь соклану &nbsp;',
                                '<center><br>Введите логин соклана:<br><small>(Помогать можно только в нападениях)</small><br><br></center>',
                                {
                                    'a1': 'top.frames[\'main\'].abil1back(top.$(\'#abil1v1\').val());',
                                    'usewin': 'top.chat.inObj = top.$(\'#abil1v1\');top.$(\'#abil1v1\').focus()',
                                    'd': '<center><input style="width:96%; margin:5px;" id="abil1v1" class="inpt2" type="text" value=""></center>'
                                },
                                3,
                                1,
                                'min-width:300px;'
                            );
                        }

                        function abil1back(login) {
                            location.href = '/main.php?clan&brohelp=' + login;
                        }
                    </script>
                    <?php

                    //Помощь соклану и нападалки
                    if (isset($_GET['brohelp'])) {
                        $usr = mysql_fetch_array(mysql_query('SELECT * FROM `users` WHERE `clan` = "' . $u->info['clan'] . '" AND `login` = "' . mysql_real_escape_string($_GET['brohelp']) . '" ORDER BY `id` ASC LIMIT 1'));
                        $b = mysql_fetch_array(mysql_query('SELECT `id`,`old_battle` FROM `stats` WHERE `id` = "' . $u->info['id'] . '" AND `old_battle` > 0 LIMIT 1'));
                        if ($usr['battle'] == $b['old_battle']) {
                            $er = 'Невозможно вмешаться, вы уже были в этом поединке ;)';
                        } elseif (isset($usr['id'])) {
                            if ($u->info['battle'] > 0) {
                                $er = 'Вы уже сражаетесь!';
                            } elseif ($usr['room'] != $u->info['room']) {
                                $er = 'Вы должны находиться в одной комнате.';
                            } elseif ($usr['battle'] > 0) {
                                $ubtl = mysql_fetch_array(mysql_query('SELECT * FROM `battle` WHERE `id` = "' . $usr['battle'] . '" LIMIT 1'));
                                $test = mysql_fetch_array(mysql_query('SELECT `id` FROM `battle_last` WHERE `uid` = "' . $u->info['id'] . '" AND `battle_id` = "' . $usr['battle'] . '" LIMIT 1'));
                                if (!isset($ubtl['id'])) {
                                    $er = 'Поединок не найден!';
                                } elseif (isset($test['id'])) {
                                    $er = 'Нельзя вмешаться, вы уже были в этом поединке.';
                                } elseif ($ubtl['team_win'] != -1) {
                                    $er = 'Поединок уже завершился!';
                                } elseif ($ubtl['razdel'] > 0 || $ubtl['dungeon'] > 0 || $ubtl['dn_id'] > 0 || $ubtl['izlom'] > 0) {
                                    $er = 'Вмешиваться в турниры, пещерные бои и хаотичные поединки запрещено!';
                                } else {
                                    //
                                    $usrst = mysql_fetch_array(mysql_query('SELECT `id`,`team` FROM `stats` WHERE `id` = "' . $usr['id'] . '" LIMIT 1'));
                                    //Обновляем НР и МР игрокам
                                    if ($u->stats['level'] <= 7) {
                                        $u->info['tactic7'] = floor(10 / $u->stats['hpAll'] * $u->stats['hpNow']);
                                    } elseif ($u->stats['level'] == 8) {
                                        $u->info['tactic7'] = floor(20 / $u->stats['hpAll'] * $u->stats['hpNow']);
                                    } elseif ($u->stats['level'] == 9) {
                                        $u->info['tactic7'] = floor(30 / $u->stats['hpAll'] * $u->stats['hpNow']);
                                    } elseif ($u->stats['level'] >= 10) {
                                        $u->info['tactic7'] = floor(40 / $u->stats['hpAll'] * $u->stats['hpNow']);
                                    }
                                    // Бафф Зверя animal_bonus ---------------------------------
                                    if ($u->info['animal'] > 0) {
                                        $a = mysql_fetch_array(mysql_query('SELECT * FROM `users_animal` WHERE `uid` = "' . $u->info['id'] . '" AND `id` = "' . $u->info['animal'] . '" AND `pet_in_cage` = "0" AND `delete` = "0" LIMIT 1'));
                                        if (isset($a['id'])) {
                                            if ($a['eda'] >= 1) {
                                                $anl = mysql_fetch_array(mysql_query('SELECT `bonus` FROM `levels_animal` WHERE `type` = "' . $a['type'] . '" AND `level` = "' . $a['level'] . '" LIMIT 1'));
                                                $anl = $anl['bonus'];

                                                $tpa = [1 => 'cat', 2 => 'owl', 3 => 'wisp', 4 => 'demon', 5 => 'dog', 6 => 'pig', 7 => 'dragon'];
                                                $tpa2 = [1 => 'Кота', 2 => 'Совы', 3 => 'Светляка', 4 => 'Чертяки', 5 => 'Пса', 6 => 'Свина', 7 => 'Дракона'];
                                                $tpa3 = [1 => 'Кошачья Ловкость', 2 => 'Интуиция Совы', 3 => 'Сила Стихий', 4 => 'Демоническая Сила', 5 => 'Друг', 6 => 'Полная Броня', 7 => 'Инферно'];

                                                mysql_query('INSERT INTO `eff_users` (`hod`,`v2`,`img2`,`id_eff`,`uid`,`name`,`data`,`overType`,`timeUse`,`v1`,`user_use`) VALUES ("-1","201","summon_pet_' . $tpa[$a['type']] . '.gif",22,"' . $u->info['id'] . '","' . $tpa3[$a['type']] . ' [' . $a['level'] . ']","' . $anl . '","0","77","priem","' . $u->info['id'] . '")');
                                            } else {
                                                $u->send('', $u->info['room'], $u->info['city'], '', $u->info['login'], '<b>' . $a['name'] . '</b> нуждается в еде...', time(), 6, 0, 0, 0, 1);
                                            }
                                        }
                                    }
                                    //Духовность, спасение
                                    if ($u->stats['s7'] > 49) {
                                        mysql_query("
										INSERT INTO `eff_users` ( `id_eff`, `uid`, `name`, `data`, `overType`, `timeUse`, `timeAce`, `user_use`, `delete`, `v1`, `v2`, `img2`, `x`, `hod`, `bj`, `sleeptime`, `no_Ace`, `file_finish`, `tr_life_user`, `deactiveTime`, `deactiveLast`, `mark`, `bs`) VALUES
										( 22, '" . $u->stats['id'] . "', 'Спасение', 'add_spasenie=1', 0, 77, 0, '" . $u->stats['id'] . "', 0, 'priem', 324, 'preservation.gif', 1, -1, 'спасение', 0, 0, '', 0, 0, 0, 1, 0);
									");
                                    }
                                    //
                                    mysql_query('UPDATE `users` SET `battle` = "' . $ubtl['id'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                                    mysql_query('UPDATE `stats` SET `team` = "' . $usrst['team'] . '",`tactic7` = "' . $u->info['tactic7'] . '" WHERE `id` = "' . $u->info['id'] . '" LIMIT 1');
                                    //
                                    $u->info['battle'] = $usr['battle'];
                                    $u->info['team'] = $usrst['team'];

                                    $btxt = '';
                                    if ($u->info['align'] > 0) {
                                        $btxt = $btxt . '<img width=12 height=15 src=/static/img/i/align/align' . $u->info['align'] . '.gif >';
                                    }
                                    if ($u->info['align2'] > 0) {
                                        $btxt = $btxt . '<img width=12 height=15 src=/static/img/i/align/align' . $u->info['align2'] . '.gif >';
                                    }
                                    if ($u->info['clan'] > 0) {
                                        $btxt = $btxt . '<img width=24 height=15 src=/static/img/i/clan/' . $u->info['clan'] . '.gif >';
                                    }
                                    $btxt = $btxt . '<b>{u1}</b>[' . $u->info['level'] . ']<a href=info/' . $u->info['id'] . ' target=_blank ><img width=12 height=11 src=/static/img/i/inf_capitalcity.gif ></a>';
                                    if ($u->info['sex'] == 1) {
                                        $btxt = $btxt . ' вмешалась в поединок.';
                                    } else {
                                        $btxt = $btxt . ' вмешался в поединок.';
                                    }
                                    $btxt .= ' (Помощь соклану <b>' . $usr['login'] . '</b>[' . $usr['level'] . '])';

                                    $magic->inBattleLog($btxt, $usr);
                                    //
                                    $er = 'Вы успешно вмешались за соклана &quot;' . $usr['login'] . '&quot;! (Страница обновится автоматически)';
                                }
                            } else {
                                $er = 'Соклан не находится в поединке!';
                            }
                        } else {
                            $er = 'Соклан с логином &quot;' . htmlspecialchars($_GET['brohelp']) . '&quot; не найден.';
                        }
                    }


                    $html .= '<img onclick="abil1();" onMouseOver="top.hi(this,\'<b>Помощь соклану</b> (Бесконечно)\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" class="cp" src="/static/img/i/items/n/mirror.gif"> ';
                    //
                    if ($hplast < 1) {
                        $html .= '<img class="pwqnovice" onMouseOver="top.hi(this,\'Абилка закончилась, попробуйте <b>позже</b>\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" src="/static/img/i/items/n/healvortex.gif"> ';
                    } else {
                        $html .= '<img onclick="location.href=\'/main.php?clan&hpvortex\';" class="cp" onMouseOver="top.hi(this,\'Восстановить Здоровье (HP). Осталось: <b>' . $hplast . ' HP</b>\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" src="/static/img/i/items/n/healvortex.gif"> ';
                    }
                    if ($mplast < 1) {
                        $html .= '<img class="pwqnovice" onMouseOver="top.hi(this,\'Абилка закончилась, попробуйте <b>позже</b>\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" src="/static/img/i/items/n/manavortex.gif"> ';
                    } else {
                        $html .= '<img onclick="location.href=\'/main.php?clan&mpvortex\';" class="cp" onMouseOver="top.hi(this,\'Восстановить Ману (HP). Осталось: <b>' . $mplast . ' MP</b>\',event,2,0,1,1,\'max-width:307px\')" onMouseOut="top.hic();" onMouseDown="top.hic();" src="/static/img/i/items/n/manavortex.gif"> ';
                    }
                }


                if ($clan_prava['pravo6'] > 0) {
                    $html == '';
                } elseif ($clan_prava['pravo6'] == 0) {
                    $html = 'У вашего клана нет абилок, или глава клана запретил вам их использовать ';
                }
                if ($er != '') {
                    echo '<div style="padding-bottom:10px;"><b><font color=red>' . $er . '</font></b></div>';
                }
                echo $html;
                unset($html);
                ?>
            </fieldset>
            <fieldset style="border: 1px solid white; padding: 10px;margin-top:15px; padding-bottom:10px;">
                <legend style='font-weight:bold; color:#8F0000;'>Состав</legend>
                <?= $sh ?>
            </fieldset>
        </td>
    </tr>
</table>

